<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Carbon\Carbon;
use App\helpers;

class PdfController extends Controller
{
    public function pdf(Request $request) {
		$rut_paciente = $request->get('rut');
		$nhg = $request->get('nhg');
		$evento = $request->get('evento');
		$codigo_aclinica = $request->get('codigo_aclinica');
		$r = $request->get('r');
		$evento_null=0;
     if ($evento==-1){
		$evento=1;
		$evento_null=-1;
	 }
    	$consulta = \DB::connection('mysql_15')->select("
	    	select *
			from PACIENTE as p
	        inner join TRASLADO as d  on p.rut_paciente=d.rut_paciente and p.numero_hermano_gemelo=d.numero_hermano_gemelo and p.evento=d.evento
	        inner join  DATO_INGRESO di on p.rut_paciente=di.rut_paciente and p.numero_hermano_gemelo=di.numero_hermano_gemelo and p.evento=di.evento
	        inner join  USUARIO_REBSOL ur on di.rut_ingreso = ur.rut_funcionario
	        inner join   PROCEDENCIA   pr on ur.sede = pr.codigo_procedencia
			where
			p.codigo_estado_paciente=1 and
			p.rut_paciente = $rut_paciente and

			p.numero_hermano_gemelo = $nhg and
			p.evento = $evento
		");

		if(!$consulta) {
			return "No hay registros";
		}

		$rut = $consulta[0]->rut_paciente;
		$nhg = $consulta[0]->numero_hermano_gemelo;
		$evento = $consulta[0]->evento;

		foreach($consulta as $row)
		{
			$paciente = \DB::connection('mysql_15')->select("
				SELECT p.rut_pnatural as rut, concat_ws(' ',p.nombre_pnatural, p.apellido_paterno, p.apellido_materno) as nombres, TIMESTAMPDIFF(YEAR,p.fecha_nacimiento,CURDATE()) AS edad
				from  PNATURAL as p
				WHERE  rut_pnatural =$rut
			");

			$nombre_paciente = $paciente[0]->nombres;
			$edad_paciente = $paciente[0]->edad;
			$fecha_cirujia = Carbon::parse($row->fecha_traslado)->format('d-m-Y');

	        $row_mail = \DB::connection('mysql_15')->select("
	        	select * from PERSONA as p, DOMICILIO_PERSONA as dp where p.rut = dp.rut and p.rut = {$rut}
	        	order by dp.fecha_domicilio desc
	        ");

			$mail = $row_mail[0]->correo_electronico;
			$telefono_movil = $row_mail[0]->telefono_movil;
			$telefono_trabajo = $row_mail[0]->telefono_trabajo;
			$telefono_fijo = $row_mail[0]->telefono_fijo;
			$monto_cta = 0;

			$sucursal = $row->sede;

			$row_ingreso = \DB::connection('mysql_15')->select("
				select date_format(fecha_admision,'%d/%m/%Y') as fecha_tr,
				DATO_INGRESO.* from DATO_INGRESO where
				rut_paciente={$rut} and numero_hermano_gemelo={$nhg} and
				evento={$evento}
			");

			$medico = \DB::connection('mysql_15')->select("
				select p.rut_pnatural as rut, concat_ws(' ',p.nombre_pnatural, p.apellido_paterno,
				p.apellido_materno) as nombres
				from PNATURAL as p
				where p.rut_pnatural = {$row_ingreso[0]->rut_medico_tratante}
			");

			$nombre_medico = $medico[0]->nombres;
			$rut_medico = $medico[0]->rut;

	        $persona_anestesista= "sin info" ;
			$rut_anestesista = "";
			$persona_ayudante= "sin info" ;
			$rut_ayudante = "";

	        $personal = \DB::connection('mysql_15')->select("
	        	SELECT  acp.codigo_accion_clinica,
	        	(SELECT  concat_WS(' ',p.nombre_pnatural, p.apellido_paterno, p.apellido_materno) as nombres
				from  PNATURAL as p WHERE  rut_pnatural=  acp.rut_realizador ) as nombres,
				(SELECT  p.rut_pnatural
				from  PNATURAL as p WHERE  rut_pnatural=  acp.rut_realizador ) as rut
				from  ACCION_CLINICA_PACIENTE as acp
				where acp.rut_paciente={$rut} and acp.numero_hermano_gemelo ={$nhg} and acp.evento={$evento}
				and acp.codigo_accion_clinica in (5001002,5001003)
				and codigo_estado_accion_clinica in (21,20) and rut_realizador != 0
			");

	        if($personal) {

				if ( $personal[0]->codigo_accion_clinica=="5001002")
				    $persona_ayudante = $personal[0]->nombres;
				    $rut_ayudante = $personal[0]->rut;
				if ( $personal[1]->codigo_accion_clinica=="5001003")
				    $persona_anestesista = $personal[1]->nombres;
				    $rut_anestesista = $personal[1]->rut;
	        }
		}

		$nombrea='';
		//accon clinica
		$res_acc= \DB::connection('mysql_15')->table('ACCION_CLINICA')->select('nombre_accion_clinica')
		  ->where('codigo_accion_clinica', $codigo_aclinica)
		  ->take(1)
		  ->get();
		$nombrea=(@$res_acc[0]->nombre_accion_clinica);

		$mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];
		$fecha = date('d') . ' de ' . $mes[date('m') -1] . ' de ' . date('Y');

		$reporte = '';
		if($r == 1 )  $reporte = 'declaracion';
		if($r == 2 )  $reporte = 'quirurgica';
		if($r == 3 )  $reporte = 'anestesia';
		if($r == 4 )  $reporte = 'avastin';
		if($r == 5 )  $reporte = 'ges';
		$rut_nuevoPaciente= $rut_paciente . '-' . dv($rut_paciente);
		$rut_nuevoMedico= $rut_medico . '-' . dv($rut_medico);
		$rut_nuevoAyudante= $rut_ayudante . '-' . dv($rut_ayudante);
		$rut_nuevoAnestesista= $rut_anestesista . '-' . dv($rut_anestesista);

		if ($evento_null==-1){
		$nombre_medico='';
				$rut_nuevoMedico='';
				$rut_nuevoAyudante='';
				$rut_nuevoAnestesista= '';
				$persona_ayudante='';
				$persona_anestesista='';
		}
		if($rut_medico==0){
			$rut_nuevoMedico='';
			$nombre_medico='';
		}
		if($rut_ayudante==0){
			$rut_nuevoAyudante='';
			$persona_ayudante='';
		}
		if($rut_anestesista==0){
			$rut_nuevoAnestesista='';
			$persona_anestesista='';
		}
		$pdf = \PDF::loadView($reporte, [
		    'paciente' =>   strtoupper($nombre_paciente),
		    'rut_paciente' =>$rut_nuevoPaciente,
		    'edad' => $edad_paciente,
		    'cirujano' =>  strtoupper($nombre_medico),
		    'rut_cirujano' =>  $rut_nuevoMedico,
		    'ayudante' =>  strtoupper($persona_ayudante),
		    'rut_ayudante' =>  $rut_nuevoAyudante,
		    'anestesista' =>  strtoupper($persona_anestesista),
		    'rut_anestesista' =>  $rut_nuevoAnestesista,
		    'fecha_cirujia' => '----------------',
		    'fecha' => $fecha,
		    'nombrea' => $nombrea
		]);

		$pdf->setPaper('letter', 'portrait');
		return $pdf->stream('declaracion.pdf');
    }
}
