<?php

use Illuminate\Support\Str;

return [

    /*
    |--------------------------------------------------------------------------
    | Default Database Connection Name
    |--------------------------------------------------------------------------
    |
    | Here you may specify which of the database connections below you wish
    | to use as your default connection for all database work. Of course
    | you may use many connections at once using the Database library.
    |
    */

    //'default' => 'mysql',

    /*
    |--------------------------------------------------------------------------
    | Database Connections
    |--------------------------------------------------------------------------
    |
    | Here are each of the database connections setup for your application.
    | Of course, examples of configuring each database platform that is
    | supported by Laravel is shown below to make development simple.
    |
    |
    | All database work in Laravel is done through the PHP PDO facilities
    | so make sure you have the driver for your particular database of
    | choice installed on your machine before you begin development.
    |
    */

    'connections' => [

        'sqlite' => [
            'driver' => 'sqlite',
            'url' => env('DATABASE_URL'),
            'database' => env('DB_DATABASE', database_path('database.sqlite')),
            'prefix' => '',
            'foreign_key_constraints' => env('DB_FOREIGN_KEYS', true),
        ],

        'mysql' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST', '192.168.1.10'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE', 'iopa_orion'),
            'username' => env('DB_USERNAME', 'btsys'),
            'password' => env('DB_PASSWORD', 'iopa2019'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],

        'mysql_251' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST', '192.168.1.251'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE3', 'prueba'),
            'username' => env('DB_USERNAME3', 'wcastillo'),
            'password' => env('DB_PASSWORD3', 'pru+r3swl!rib&briSP@'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],

        'mysql_250' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST', '192.168.1.250'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE5', 'REBSOL_LL'),
            'username' => env('DB_USERNAME5', 'gmartinez'),
            'password' => env('DB_PASSWORD5', 'iopa2018'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],
        'mysql_15' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST6', '192.168.1.15'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE6', 'IOPA'),
            'username' => env('DB_USERNAME6', 'rebsolll'),
            'password' => env('DB_PASSWORD6', 'iopa2019'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],
        'mysql_16' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST7', '192.168.1.16'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE7', 'IOPA'),
            'username' => env('DB_USERNAME7', 'jbelizaire'),
            'password' => env('DB_PASSWORD7', '|sp]Y;MfylF%Gr~vV[on'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],
        'mysql_250LF' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST8', '192.168.1.250'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE8', 'REBSOL_LF'),
            'username' => env('DB_USERNAME8', 'gmartinez'),
            'password' => env('DB_PASSWORD8', 'iopa2018'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],
        'mysql_37' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST', '192.168.1.37'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE4', 'iopa_orion'),
            'username' => env('DB_USERNAME4', 'soporteiopa'),
            'password' => env('DB_PASSWORD4', '$2019$10p4$'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],
        'mysql_clinicaiopacl' => [
            'driver' => 'mysql',
            'host' => env('DB_HOST', 'clinicaiopa.cl'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE9', 'clinicai_wp'),
            'username' => env('DB_USERNAME9', 'clinicai_landing'),
            'password' => env('DB_PASSWORD9', 'tmmpHrdve7hA'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'prefix_indexes' => true,
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ], 
        'mysql_14' => [
            'driver' => 'mysql',
            'url' => env('DATABASE_URL'),
            'host' => env('DB_HOST10', '192.168.1.14'),
            'port' => env('DB_PORT', '3306'),
            'database' => env('DB_DATABASE10', 'IOPA'),
            'username' => env('DB_USERNAME10', 'rebsolhf'),
            'password' => env('DB_PASSWORD10', 'iopa2019$'),
            'unix_socket' => env('DB_SOCKET', ''),
            'charset'   => 'utf8',
            'collation' => 'utf8_unicode_ci',
            'prefix' => '',
            'strict' => false,
            'engine' => null,
            'options' => extension_loaded('pdo_mysql') ? array_filter([
                PDO::MYSQL_ATTR_SSL_CA => env('MYSQL_ATTR_SSL_CA'),
            ]) : [],
        ],

        'pgsql' => [
            'driver' => 'pgsql',
            'url' => env('DATABASE_URL'),
            'host' => env('DB_HOST', '127.0.0.1'),
            'port' => env('DB_PORT', '5432'),
            'database' => env('DB_DATABASE', 'forge'),
            'username' => env('DB_USERNAME', 'forge'),
            'password' => env('DB_PASSWORD', ''),
            'charset' => 'utf8',
            'prefix' => '',
            'prefix_indexes' => true,
            'schema' => 'public',
            'sslmode' => 'prefer',
        ],

        'sqlsrv' => [
           'driver' => env('DB_CONNECTION1'),
            'url' => env('DATABASE_URL'),
            'host' => env('DB_HOST1', '192.168.1.3'),
            'port' => env('DB_PORT1', '1433'),
            'database' => env('DB_DATABASE1', 'IOPASA2021'),
            'username' => env('DB_USERNAME1', 'REBSOL'),
            'password' => env('DB_PASSWORD1', 'iopa2018$'),
            'charset' => 'utf8',
            'prefix' => '',
            'prefix_indexes' => true,
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Migration Repository Table
    |--------------------------------------------------------------------------
    |
    | This table keeps track of all the migrations that have already run for
    | your application. Using this information, we can determine which of
    | the migrations on disk haven't actually been run in the database.
    |
    */

    'migrations' => 'migrations',

    /*
    |--------------------------------------------------------------------------
    | Redis Databases
    |--------------------------------------------------------------------------
    |
    | Redis is an open source, fast, and advanced key-value store that also
    | provides a richer body of commands than a typical key-value system
    | such as APC or Memcached. Laravel makes it easy to dig right in.
    |
    */

    'redis' => [

        'client' => env('REDIS_CLIENT', 'phpredis'),

        'options' => [
            'cluster' => env('REDIS_CLUSTER', 'redis'),
            'prefix' => env('REDIS_PREFIX', Str::slug(env('APP_NAME', 'laravel'), '_').'_database_'),
        ],

        'default' => [
            'url' => env('REDIS_URL'),
            'host' => env('REDIS_HOST', '127.0.0.1'),
            'password' => env('REDIS_PASSWORD', null),
            'port' => env('REDIS_PORT', '6379'),
            'database' => env('REDIS_DB', '0'),
        ],

        'cache' => [
            'url' => env('REDIS_URL'),
            'host' => env('REDIS_HOST', '127.0.0.1'),
            'password' => env('REDIS_PASSWORD', null),
            'port' => env('REDIS_PORT', '6379'),
            'database' => env('REDIS_CACHE_DB', '1'),
        ],

    ],

];
