<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Document</title>
</head>
<body>
<img src="{{ asset('/img/logo-iopa.png') }}">
<div style="text-align: center;">
<br><br><h4 style="padding: 0; margin: 0">CONSENTIMIENTO INFORMADO PARA USO DE AVASTIN</h4>
<br>
</div>

<p>Nombre Paciente:  {{ $paciente }}<b style="float: right; font-weight: normal;"> Fecha:  {{ $fecha_cirujia2 }}</b><p>
<p>Cédula de Identidad: {{ $rut_paciente }}<p>
<p>Representante Legal Paciente:___________________________________________<p>
<p>Cédula Representante Legal:____________________________________________<p>
<p>Expresamente autorizo al Dr(a):  {{ $cirujano }} a realizar el siguiente procedimiento: <b>INYECCIÓN INTRAVITREA DE AVASTÍN.</b></p>


<h4>EXPLICACIÓN ESPECIAL DEL MEDICAMENTO DENOMINADO  <u>AVASTIN</u> Y SU USO OFTALMOLÓGICO.</h4>

<p style="text-align: justify">La degeneración macular asociada a la edad (DMAE) es la causa más frecuente de ceguera en el mundo occidental a partir de los 50 años de edad. Está provocada por una alteración patológica de la porción central de la retina denominada mácula. La mácula es la responsable de la visión central, útil para conducir, leer, reconocer caras, etc. Esta enfermedad puede provocar sangrados y edema que ocasionarán la distorsión y disminución de visión en los pacientes que suele ser rápida y severa. Existen otras condiciones del ojo que provocan el crecimiento de vasos anómalos en el fondo del ojo como puede ser la miopía, el síndrome de presunta histoplasmosis ocular, presencia de estrías angioides, entre otras. </p>

<p style="text-align: justify">El Avastín no fue diseñado para el tratamiento específico ocular de esta patología. Está aprobado por la Food and Drug Administration Americana (FDA) para el tratamiento del cáncer colorectal. El fármaco disminuye el crecimiento de vasos sanguíneos a nivel de la tumoración, impidiendo el crecimiento del mismo.  </p>

<p style="text-align: justify">El uso del Avastín en oftalmología se remonta desde el año 2005, cuando se reportó su seguridad y efectividad en el tratamiento de la DMAE, desde entonces se han aplicado miles de inyecciones en todo el mundo. Actualmente se está utilizando Avastín fuera de lo especificado en la etiqueta (“off-label”) en oftalmología en muchos países para el tratamiento de la degeneración macular y otras enfermedades como la maculopatía diabética, retinopatía diabética proliferativa, retinopatía del prematuro, oclusiones venosas, vascularización de la córnea, glaucomas neovasculares, pterigion, etc. ya que los estudios científicos han demostrado los efectos beneficiosos del tratamiento.</p>

<p style="text-align: justify">A nivel nacional el Instituto de Salud Pública (ISP) en Chile en el año 2005 autorizó el uso de Avastín para algunas enfermedades oncológicas y en una nota informativa de seguridad para oftalmólogos enviada el 3 de enero de 2005 se informa que el uso de Avastín intravitreo (o sea dentro del ojo) no está autorizado por ningún organismo internacional y que se han reportado en Estados Unidos y Canadá algunos casos de infecciones (endoftalmitis) y reacciones inflamatorias como uveítis, endoftalmitis asépticas con malos resultados visuales en algunos pacientes que incluyen la perdida de la visión. Por lo tanto, se solicita su uso con cautela y la notificación inmediata de cualquier reacción adversa del medicamento al subdepartamento de farmacovigilancia del ISP tanto en el uso de Avastín en enfermedades con indicaciones aprobadas y en enfermedades no autorizadas, como es el caso de la degeneración macular en oftalmología.</p>

<p style="text-align: justify">El objetivo del tratamiento con Avastín es mejorar o estabilizar la visión tratando el edema, la proliferación de vasos nuevos y la filtración que producen estas enfermedades. El efecto se percibe a las semanas o meses y muchas veces es necesario repetir la inyección, no es 100% efectivo, pero para muchas enfermedades es el mejor tratamiento disponible. </p>

<p style="text-align: justify">Existen innumerables estudios y reportes de su efectividad y seguridad. El beneficio que se espera conseguir es intentar detener o retrasar el progreso de la enfermedad (esto se logra, en seguimientos de un año, en un 60 a 70% de los casos). La novedad con el AVASTÍN respecto a las opciones que existían previamente, es que en un porcentaje de casos (aproximadamente entre el 30% y el 40%), logran notar una mejoría en la visión luego de la o las inyecciones. Aún no existen seguimientos a largo plazo para determinar la duración de esta ganancia. </p>

<h4>ALTERNATIVAS</h4>

<p style="text-align: justify">El paciente no tiene la obligación de recibir este tratamiento para su enfermedad, aunque sin el mismo estas enfermedades en la mayoría de ocasiones conducen a la pérdida muy grave, progresiva e irreversible de visión, a veces de forma rápida. </p>

<p style="text-align: justify">Hay otras formas alternativas de tratamiento posibles:
<ol>
	<li>El Lucentis (Ranibizumab) o Eylia (Afibercept), son similares químicamente y en su acción al Avastín, su utilización en inyecciones intraoculares está aprobada por la FDA. El costo de ambas es significativamente superior al Avastín y su beneficio terapéutico es equivalente (al igual que sus riesgos potenciales). </li>
	<li>La Terapia Fotodinámica, consiste en la inyección endovenosa de sustancias sensibles a determinado tipo de luz (láser rojo). Luego se enfoca un haz de láser sobre la lesión de la mácula y la sustancia previamente inyectada provoca el cierre de los vasos patológicos al inducir la formación de coágulos en su interior. El problema con la Terapia Fotodinámica es la elevada frecuencia de recidivas (reaparición de la lesión) y que los resultados visuales son más limitados que con el Avastín. </li>
	<li>Inyección de corticoides tanto intraocular como extraocular, es decir en la esclera (pared del ojo). Los corticoides tienen como complicaciones principales provocar un aumento de la presión ocular (glaucoma cortisónico) y generar cataratas (además de las complicaciones descritas para todas las inyecciones intraoculares).</li>
	<li>Fotocoagulación con láser argón: Esta puede producir daño térmico. Muchas veces se usa concomitantemente con la inyección intravitrea.</li>
</ol>
</p>




<p style="text-align: justify">¿CÓMO SE REALIZA LA INYECCIÓN INTRAVÍTREA DE AVASTIN?</p>
<p style="text-align: justify">El procedimiento de aplicación de Avastín se realiza en una sala de procedimientos, siendo la vía de administración la intravítrea (dentro del ojo) mediante la aplicación de anestesia tópica. El Avastín se inyecta en intervalos regulares (cada 4 semanas en general) y el oftalmólogo decide el número de dosis necesarias.</p>

<p style="text-align: justify">RIESGOS Y COMPLICACIONES POSIBLES DE LAS INYECCIONES INTRAOCULARES DE AVASTIN:</p>
<p style="text-align: justify">a) Riesgos que pueden comprometer la salud general del paciente y su vida:

<ol>
	<li style="text-align: justify">Hipertensión arterial: frecuencia descrita: 21 casos en 10.000 (0.21%).</li>
	<li style="text-align: justify">Episodios de isquemia transitorios: frecuencia descrita: 1 en 10.000 (0.01%).</li>
	<li style="text-align: justify">Accidente cerebro vascular: frecuencia 7 casos en 10.000. (0.07%).</li>
	<li style="text-align: justify">Trombosis venosa profunda: frecuencia descrita 1 caso en 10.000 (0.01%)</li>
	<li style="text-align: justify">Muerte vinculable a la inyección: frecuencia descrita 1 caso en 10.000 (luego de un accidente cerebro vascular).</li>
	</ol>
</p>

<p style="text-align: justify">b) Riesgos para el ojo inyectado:

<ol>
	<li style="text-align: justify">ENDOFTALMITIS. Una de las causas posibles de pérdida de la visión es la infección interna del ojo, denominada endoftalmitis. La frecuencia descrita es de un caso cada 10.000 inyecciones. (0.01%). Advertencia: no frotar el ojo inyectado ni nadar por siete días después de la inyección.</li>
	<li style="text-align: justify">HEMORRAGIA INTRAOCULAR. Puede resolverse espontáneamente, pero ciertos casos pueden requerir una cirugía ocular invasiva denominada vitrectomía. Los casos más severos pueden generar un desprendimiento de retina con la posibilidad de pérdida definitiva de la visión.</li>
	<li style="text-align: justify">DESPRENDIMIENTO DE RETINA. Frecuencia descrita: 0.04%. Una inyección intraocular en la cámara vítrea puede generar, como complicación, un desprendimiento de retina. Esto lleva a la necesidad de realizar una cirugía. Existe, aunque reducida, la posibilidad de la pérdida definitiva de la visión.</li>
	<li style="text-align: justify">CATARATA. Frecuencia descrita: 1 en 10.000 (0.01%). Toda inyección intraocular puede tener, como complicación, la generación de una catarata. Esta situación puede requerir una cirugía de la catarata.</li>
	<li style="text-align: justify">ATROFIA DEL GLOBO OCULAR (PTISIS BULBI). Un ojo que pierde la visión ya sea como consecuencia de una infección (endoftalmitis) o por un desprendimiento de retina, puede sufrir la disminución de su tamaño.</li>
	<li style="text-align: justify">DISMINUCIÓN DE LA VISIÓN. Luego de una inyección intraocular puede surgir, como complicación posible, una pérdida visual, provocada, entre otras causas, por una hemorragia en la mácula o por un aumento de la presión intraocular. Esta pérdida puede ser definitiva. Frecuencia descrita: 20 casos en 10.000 (0.20%).</li>
	<li style="text-align: justify">OTRAS POSIBLES SECUELAS: Hemorragia subconjuntival (hemorragia transitoria superficial en la parte blanca del ojo), flotadores vítreos (el paciente percibe puntos negros, filamentos negros o una “nube” flotando en el campo visual, generalmente es transitorio, pero puede ser definitivo), aumento transitorio de la presión ocular e inflamación ocular.</li>
	</ol>
</p>


<p style="text-align: justify">En conocimiento expreso de lo anteriormente expuesto AUTORIZO AL Dr(a) {{ $cirujano }} PARA QUE ME APLIQUE AVASTIN INTRAVITREO.</p>

<p style="text-align: justify">Finalmente, declaro que mi doctor(a) me explicado que la medicina no es una ciencia exacta y que los resultados del procedimiento que se me realizará pueden eventualmente no ser absolutamente exactos o no ser los más satisfactorios en función de los eventos aleatorios que se me han advertido. He comprobado igualmente que el médico tratante me ha examinado a conciencia y dispone, tanto él como la institución, de una excelente tecnología para realizar exitosamente, dentro de las limitaciones humanas, este procedimiento.</p>

<p style="text-align: justify">Manifiesto de manera libre y espontánea, sin presiones de ninguna naturaleza y en todo caso mucho antes de iniciarse el procedimiento, que he leído en todos sus detalles el presente documento, que se me han dado las explicaciones que he considerado del caso y que todos sus espacios en blanco han sido llenados y completados antes de mi firma.</p>

<p style="text-align: justify">Lo anteriormente expuesto ha sido comprendido y aceptado por mí.</p>
<p style="text-align: justify">Como me encuentro en pleno uso de mis facultades para expresar mi consentimiento, firmo este documento en señal de aceptación, sin reserva alguna.</p>
<br><br>

<p>Paciente: {{ $paciente }}</p>
<p>Cédula de Identidad: {{ $rut_paciente }}</p>
<p>Firma: __________________________________________</p>
<p>Representante Legal:  ______________________________________________</p>
<p>Cédula de Identidad: ____________________________</p>
<p>Firma: ___________________________</p>


<p>Dejo constancia que he explicado la naturaleza, propósitos, ventajas riesgos y alternativas de la intervención quirúrgica o procedimiento.<p>

<p>Dr(a): {{ $cirujano }}</p>
<p>Cédula de Identidad: {{ $rut_cirujano }}</p>
<p>Firma: ______________________________</p>


<script type="text/php">
	
if ( isset($pdf) ) {
            $pdf->page_script('
                $font = $fontMetrics->get_font("Arial, Helvetica, sans-serif", "normal");
                $pdf->text(280, 780, "Página $PAGE_NUM de $PAGE_COUNT", $font, 11);
            ');
        }
		
	</script>
</body>
</html>