<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PdfController;
use App\Http\Controllers\GesController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/pdf', [PdfController::class, 'pdf']);
Route::get('/pdf_test', [PdfController::class, 'pdf_test']);//* Agregado el 30-11-2023

/**
 * LLamdo de prueba de funcionamiento
 */
Route::get('/test', function () {
  return date("r");
});

/**
 * Ruta Formulario GES
 * llamado pdf_5 es el productivo
 * pdf2 es la funcion original hasta el dia 2023-12-05
 * remplazado por pdf_Formulario_ges
 */
//Route::get('/pdf_5', [GesController::class, 'pdf2']);
Route::get('/pdf_5', [GesController::class, 'pdf_Formulario_ges']);
Route::get('/pdf_test_ges', [GesController::class, 'pdf_Formulario_ges_test']);//* Modificado el 12-04-2024

Route::get('/receta', [PdfController::class, 'recetaMed']);
Route::get('/receta_test', [PdfController::class, 'recetaMedTest']);//* Agregado el 21-09-2023

Route::get('/clear-cache', function () {
   Artisan::call('config:clear');
   Artisan::call('config:cache');
   Artisan::call('cache:clear');
   Artisan::call('route:clear');
   Artisan::call('view:clear');
   Artisan::call('route:clear');
   Artisan::call('optimize:clear');

   return "limpieza finalizado...!";
});

Route::get('/pdf_consentimiento', function() {
	$pdf = PDF::loadView('consentimiento');
	$pdf->setPaper('letter', 'portrait');
  	return $pdf->stream('consentimiento.pdf');
  	//return $pdf->download('pruebapdf.pdf');
});

Route::get('/pdf_1', function() {
  $mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];

  $fecha = date('d') . ' de ' . $mes[date('m') -1] . ' de ' . date('Y');

  $pdf = PDF::loadView('declaracion', [
    'fecha' => $fecha
  ]);

	$pdf->setPaper('letter', 'portrait');
  	return $pdf->stream('declaracion.pdf');
  	//return $pdf->download('pruebapdf.pdf');
});

Route::get('/pdf_2', function() {
  $mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];

  $fecha = date('d') . ' de ' . $mes[date('m') -1] . ' de ' . date('Y');

  $pdf = PDF::loadView('quirurgica', [
    'fecha' => $fecha
  ]);

  $pdf->setPaper('letter', 'portrait');
    return $pdf->stream('quirurgica.pdf');
    //return $pdf->download('pruebapdf.pdf');
});

Route::get('/pdf_3', function() {
  $mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];

  $fecha = date('d') . ' de ' . $mes[date('m') -1] . ' de ' . date('Y');

  $pdf = PDF::loadView('anestesia', [
    'fecha' => $fecha
  ]);

  $pdf->setPaper('letter', 'portrait');
    return $pdf->stream('anestesia.pdf');
});

/*Route::get('/pdf_5', function() {
  $mes = ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'];

  $fecha = date('d') . ' dee ' . $mes[date('m') -1] . ' dee ' . date('Y');

  $pdf = PDF::loadView('ges', [
    'fecha' => $fecha,
  ]);

  $pdf->setPaper('letter', 'portrait');
    return $pdf->stream('ges.pdf');

});*/